"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PRACTICE_SETTINGS_MEDLEY_PUNCTUATION_FREQUENCY_LIMITS = exports.PRACTICE_SETTINGS_MEDLEY_ITEM_COUNT_LIMITS = exports.PRACTICE_SETTINGS_CARET_DELAY_LIMITS = exports.PRACTICE_SETTINGS_SOUND_VOLUME_LIMITS = exports.PRACTICE_SETTINGS_COUNTDOWN_LENGTH_LIMITS = exports.PRACTICE_SETTINGS_QUOTE_LENGTH_LIMITS = exports.DEFAULT_PRACTICE_SETTINGS = void 0;
var nluka_number_range_1 = __importDefault(require("nluka-number-range"));
exports.DEFAULT_PRACTICE_SETTINGS = {
    currentConfig: {
        basic: {
            config: {
                caretDelay: 0,
                caretStyle: 'bar',
                countdownLength: 3,
                customTextActive: null,
                isInstantDeathEnabled: false,
                isKeyboardVisualEnabled: false,
                isPunctuationEnabled: true,
                isResultRecordingEnabled: true,
                medleyCollectionsActive: [
                    'bi-common-words',
                    'bi-rand-numbers',
                    'bi-symbols',
                ],
                medleyItemCount: 15,
                medleyPunctuationFrequency: 0,
                mistakeHighlightStyle: 'background',
                quoteLength: {
                    min: 1,
                    max: 250,
                },
                soundVolume: 0.5,
                textCasing: 'dynamic',
                textType: 'quote',
            },
            pinned: [],
        },
        advanced: {
            config: {
                medleyCollectionsCustom: [],
                customTexts: [],
            },
            pinned: [],
        },
    },
    profiles: [],
};
exports.PRACTICE_SETTINGS_QUOTE_LENGTH_LIMITS = new nluka_number_range_1.default(1, 250);
exports.PRACTICE_SETTINGS_COUNTDOWN_LENGTH_LIMITS = new nluka_number_range_1.default(0, 5);
exports.PRACTICE_SETTINGS_SOUND_VOLUME_LIMITS = new nluka_number_range_1.default(0, 1);
exports.PRACTICE_SETTINGS_CARET_DELAY_LIMITS = new nluka_number_range_1.default(0, 1);
exports.PRACTICE_SETTINGS_MEDLEY_ITEM_COUNT_LIMITS = new nluka_number_range_1.default(1, 100);
exports.PRACTICE_SETTINGS_MEDLEY_PUNCTUATION_FREQUENCY_LIMITS = new nluka_number_range_1.default(0, 1);
