import NumberRange from 'nluka-number-range';
import { IQuoteLength } from './types/practiceTypes';
/**
 * Creates a complete-depth copy of `entity`. Objects with function or symbol properties won't be copied correctly.
 * @param entity The entity to copy.
 * @returns A complete-depth copy of `entity`.
 */
export declare function createDeepCopy(entity: any): any;
/**
 * Checks if `obj` has a property with a key of value `key`.
 * @param obj The object to check.
 * @param key The key to search for.
 */
export declare function doesObjectHaveKey<O>(obj: O, key: PropertyKey): key is keyof O;
export declare function convertNumberRangeToQuoteLength(range: NumberRange): IQuoteLength;
export declare function convertQuoteLengthToNumberRange(ql: IQuoteLength): NumberRange;
