"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertQuoteLengthToNumberRange = exports.convertNumberRangeToQuoteLength = exports.doesObjectHaveKey = exports.createDeepCopy = void 0;
var nluka_number_range_1 = __importDefault(require("nluka-number-range"));
/**
 * Creates a complete-depth copy of `entity`. Objects with function or symbol properties won't be copied correctly.
 * @param entity The entity to copy.
 * @returns A complete-depth copy of `entity`.
 */
function createDeepCopy(entity) {
    return JSON.parse(JSON.stringify(entity));
}
exports.createDeepCopy = createDeepCopy;
/**
 * Checks if `obj` has a property with a key of value `key`.
 * @param obj The object to check.
 * @param key The key to search for.
 */
function doesObjectHaveKey(obj, key) {
    return key in obj;
}
exports.doesObjectHaveKey = doesObjectHaveKey;
function convertNumberRangeToQuoteLength(range) {
    return {
        min: range.getMin(),
        max: range.getMax(),
    };
}
exports.convertNumberRangeToQuoteLength = convertNumberRangeToQuoteLength;
function convertQuoteLengthToNumberRange(ql) {
    return new nluka_number_range_1.default(ql.min, ql.max);
}
exports.convertQuoteLengthToNumberRange = convertQuoteLengthToNumberRange;
